Summary: Game engine using C11 and OpenGL 3
Name: gypsy
Version: 0.1.2
Release: %autorelease
License: GPL-3.0-or-later
URL: https://codeberg.org/wickedsmoke/gypsy
Source: https://codeberg.org/wickedsmoke/gypsy/releases/download/v%{version}/gypsy-%{version}.tar.xz
BuildRequires: gcc, make, mesa-libGL-devel, libXcursor-devel, libpng-devel, libwebp-devel, libvorbis-devel, pulseaudio-libs-devel

%global debug_package %{nil}

%description
Gypsy is a lean game engine using C11 and OpenGL 3.

%package devel
Summary: Development files for Gypsy
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the Gypsy game engine SDK.

%prep
%setup -q

%build
mkdir -p .copr/obj
make GYPSY_RPM=1 sdk

%install
%define tools %{buildroot}/opt/gypsy_sdk-%{version}/tools
%__mkdir_p %{buildroot}/opt %{buildroot}/%{_libdir}
cp -a gypsy_sdk-%{version} %{buildroot}/opt
sed -i '1s~#!/usr/~#!/opt/gypsy_sdk-%{version}/~' %{tools}/pack-gypsy.b %{tools}/settings.b %{tools}/stage.b
install -m 755 libgypsy.so.%{version} %{buildroot}/%{_libdir}
ln -s libgypsy.so.%{version} %{buildroot}/%{_libdir}/libgypsy.so.0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libgypsy.so.0
%{_libdir}/libgypsy.so.%{version}

%files devel
%defattr(-,root,root)
/opt/gypsy_sdk-%{version}/*

%changelog
* Sun Apr 6 2025 Karl Robillard <wickedsmoke@users.sf.net> 0.1.0
  - Initial package release.
